org.springframework.data.domain.jaxb

## Class OrderAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<SpringDataJaxb.OrderDto,Sort.Order>
  - - org.springframework.data.domain.jaxb.OrderAdapter

    public class OrderAdapter
    extends XmlAdapter<SpringDataJaxb.OrderDto,Sort.Order>

XmlAdapter to convert `Sort.Order` instances into `SpringDataJaxb.OrderDto`s and vice versa.

Author:
  Oliver Gierke

### Field Summary

Fields
`static OrderAdapter` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`OrderAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SpringDataJaxb.OrderDto` `marshal(Sort.Order order)`
`Sort.Order` `unmarshal(SpringDataJaxb.OrderDto source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final OrderAdapter INSTANCE

### Constructor Detail

#### OrderAdapter

    public OrderAdapter()

### Method Detail

#### marshal

    @Nullable
    public SpringDataJaxb.OrderDto marshal(@Nullable
                                                     Sort.Order order)

Specified by:
  `marshal` in class `XmlAdapter<SpringDataJaxb.OrderDto,Sort.Order>`

#### unmarshal

    @Nullable
    public Sort.Order unmarshal(@Nullable
                                          SpringDataJaxb.OrderDto source)

Specified by:
  `unmarshal` in class `XmlAdapter<SpringDataJaxb.OrderDto,Sort.Order>`